(function($) {
	'use strict';

	function WilokeIsotope() {
		$('.wil-masonry-wrapper').each(function(index, el) {
	    	var self = $(this),
				options = self.data().settings;
			self.WilokeIsotope(options);
		});
	}

	function WilokeIsotopeWow() {
        var wow = new WOW({
            mobile: false, 
        });
		wow.init();
    }

    function setFilterTextColor(){
    	$('.wil_filter').each(function(){
    		var $this = $(this), customColor = '';
    		if ( $this.hasClass('custom_color') ){
    			customColor = $this.data('customcolor');
    			if ( customColor != '' ){
    				$this.find('a').css({color: customColor});
    			}
    		}
    	})
    }

    $.fn.wilokeGridPopup = function(){
        var $magnific = $(this), type='', $this=null;

        if ( $magnific.length ){
            $magnific.each(function(){
                $this = $(this);
                switch ( $this.data('type') ){
                    case 'vimeo':
                    case 'youtube':
                        $this.find('.wil-item-link').each(function(){
                            $(this).removeData('magnificPopup');
                            $(this).magnificPopup({
                                disableOn: 700,
                                type: 'iframe',
                                mainClass: 'mfp-fade',
                                removalDelay: 160,
                                preloader: false,
                                fixedContentPos: false
                            });
                        });
                    break;

                    case 'instagram':
                        $this.removeData('magnificPopup');
                        $this.magnificPopup({
                           delegate: 'a',
                            type: 'image',
                            tLoading: Wiloke_Grid_I18.loading_image+' #%curr%...',
                            mainClass: 'mfp-img-mobile',
                            gallery: {
                                enabled: true,
                                navigateByImgClick: true,
                                preload: [0,1] // Will preload 0 - before current, and 1 after the current image
                            },
                            image: {
                                tError: '<a href="%url%">'+Wiloke_Grid_I18.could_not_load_image+'</a>',
                                titleSrc: function(item) {
                                    return '<a class="wil-popup-title" href="'+item.el.attr('data-link')+'" target="_blank">' + item.el.attr('data-title') + '</a>';
                                }
                            }
                        });
                    break;
                }
            })
        }
    }

    $(document).ready(function(){
    	setFilterTextColor();
    })

	$(window).on('load', function(event) {
		WilokeIsotope();
        WilokeIsotopeWow();
	});


})(jQuery)