<?php
if ( isset($_POST['facebook'])) {
	$this->updateSettings('_pi_facebook_settings', $_POST['facebook']);
}

$aFacebook = get_option('_pi_facebook_settings');

$aFacebook = empty($aFacebook) ? array('app_secret'=>'', 'app_id'=>'', 'access_token'=>'', 'fanpage_id') : $aFacebook;

?>
<div class="ui segment">
    <h3 class="ui heading">Facebook Settings</h3>
    
    <div class="field">
        <label for="fb-access_token">Access Token</label>
        <input id="fb-access_token" type="text" name="facebook[access_token]" value="<?php echo esc_attr($aFacebook['access_token']); ?>"/>
        <p>Please click on <a href="https://developers.facebook.com/tools/explorer" target="_blank">me</a> to get the token</p>
    </div>
    <div class="field">
        <label for="fb-fanpage_id">Fanpage ID</label>
        <input id="fb-fanpage_id" type="text" name="facebook[fanpage_id]" value="<?php echo esc_attr($aFacebook['fanpage_id']); ?>"/>
        <p>Please click on <a href="https://developers.facebook.com/tools/explorer" target="_blank">me</a> to get the token</p>
    </div>
	<div class="field">
		<label for="fb-app_id">App ID</label>
		<input id="fb-app_id" type="text" name="facebook[app_id]" value="<?php echo esc_attr($aFacebook['app_id']); ?>"/>
	</div>
    <div class="field">
        <label for="fb-app_secret">App Secret</label>
        <input id="fb-app_secret" type="text" name="facebook[app_secret]" value="<?php echo esc_attr($aFacebook['app_secret']); ?>"/>
    </div>
    <button class="ui button green" style="height: auto" type="submit">Submit</button>
</div>