<?php
if ( isset($_POST['vimeo'])) {
	$this->updateSettings('_pi_vimeo_settings', $_POST['vimeo']);
}

$aVimeo = get_option('_pi_vimeo_settings');
$aDefault = array('client_id'=>'', 'client_secret'=>'');
$aVimeo = wp_parse_args($aVimeo, $aDefault);
?>
<div class="ui segment">
	<h3 class="ui heading">Vimeo Settings</h3>
	<div class="field">
		<th scope="row"><label for="vimeo-client-id">Client ID</label></th>
		<td>
			<input id="vimeo-client-id" type="text" name="vimeo[client_id]" value="<?php echo esc_attr($aVimeo['client_id']); ?>"/>
		</td>
	</div>
	<div class="field">
		<th scope="row"><label for="vimeo-client-secret">Client Secret</label></th>
		<td>
			<input id="vimeo-client-secret" type="text" name="vimeo[client_secret]" value="<?php echo esc_attr($aVimeo['client_secret']); ?>"/>
		</td>
	</div>
	<button class="ui button green" style="height: auto" type="submit">Submit</button>
</div>